html, body{
	margin: 0;
	padding: 0;
}

a, a:link, a:active, a:visited, a:hover {
	color:#000000;
	text-decoration: none;
}
#main{
	width:100vw;
	height:100vh;
}

/*-------------------------------*/
/*----------LOGIN START----------*/
/*-------------------------------*/

@media only screen and (max-width: 699px) and (min-width: 160px){
    .loginContainer{
        background-color:white;
        height: 100%;
        width: 100%;
        padding-top: 10%;
    }

    .loginBox{
        width: 80%;
        height: auto;
        background-color: white;
        margin-left: 10%;
        border-radius: 26px;
        margin-top: 10vh;
    }
}

@media (min-width:700px){
    .loginContainer{
        height: 100%;
        width: 100%;
        padding-top: 10%;
        background-color: lightgray;
    }

    .loginBox{
        width: 620px;
        height: 500px;
        margin-left: calc(50% - 310px);
        border-radius: 25px;
        background-color: white; 
    }
    .loginBoxLeft{
        width: 200px;
        height: 500px; 
        float: left;
    }
    .loginBoxRight{
        padding-left: 10px;
        padding-right: 10px;
        width: 400px; 
        height: 500px; 
        float: left; 
    }
    .loginBoxLeft img {
        border-radius: 25px 0 0 25px; 
    }
}

.logonTitle{
    width: 100%;
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;
}
.loginInput {
    border: none;
    background-color: hsl(0, 0%, 92%);
    width: 100%;
    transition: .2s;
    border-radius: 25px;
    height: 50px;
    padding-left: 40px;
}

.loginField {
    padding: 20px 0px;	
    position: relative;
    text-align: center;
    font-family: Arial;
}

.loginField i {
    position: absolute;
    left: 40px;
    transition: 0.2s;
    line-height: 50px;
}

.loginField input:focus ~ i, .loginField input:valid ~ i{
    position: absolute;
    transform: translateY(-15.5px);
    font-size: 0.8em;
}

.loginInput:active, .loginInput:focus, .loginInput:hover {
    outline: none;
    border-bottom-color: #6A679E;
}

.loginIcon {
    position: absolute;
    top: 36px;
    color: #7875B5;
    padding-left: 0px;
    float: left;
    left: 20px;
    transition: 0.5s;
}

.loginSubmit {
    background: #f5d20f;
    font-size: 14px;
    margin-top: 30px;
    padding: 16px 20px;
    border-radius: 26px;
    border: 1px solid #f5d20f;
    width: 100%;
    color: #4C489D;
    cursor: pointer;
    transition: .2s;
    font-weight: 900;
}

.loginSubmit:active, .loginSubmit:focus, .loginSubmit:hover {
    border-color: #6A679E;
    outline: none;
}

/*password visibility toggle*/
.password-toggle-icon {
    position: absolute;
    top: 21px;
    right: 70px;
    color: #7875B5;
  }
  
  .password-toggle-icon i {
    color: #7875B5;
    transition: color 0.3s ease-in-out;
    margin-bottom: 20px;
  }
  
  .password-toggle-icon i:hover {
    color: #000;
  }
/*password visibility toggle*/
.fa-eye{
    background-image: "iconPassword.png";
}
.loginError{
    width: 100%;
    color: red;
    font-size: 14px;
    text-align: center;
    margin-top: 10px;
}
/*-----------------------------*/
/*----------LOGIN END----------*/
/*-----------------------------*/
/*-------------------------------------------*/
/*----------CATEGORYS/RECIPES START----------*/
/*-------------------------------------------*/
.categoryCard{
    background-color: blue;
    height:200px;
    width:200px;
    float: left;
    margin:50px;
    position: relative;
}
.categoryCardDebug{
    background-color: green; !important
}
.categoryCardImage{
    background-color: #3f38c7;
    height: 200px;
    width: 100%;
    position: absolute;
}
.categoryCardText{
    background-color: #7875B5;
    height: 80px;
    width: 100%;
    position: absolute;
    bottom: 0;
    word-wrap: normal;
    text-align: center;
    opacity: 0.9;
    color: #f6f6f6;
}
.noContend{
    background-color:dimgrey;
    height: 150px;
    width: 100%;
    float:left;
    margin-top: 50px;
    line-height: 150px;
    text-align: center;
    font-size:xx-large;
}
/*-----------------------------------------*/
/*----------CATEGORYS/RECIPES END----------*/
/*-----------------------------------------*/

/*----------Header Main----------*/
.mainHeader{
    background-color: rgb(112, 134, 153);
    height: 40px;
    width: 100%;
}
.mainHeaderButtonConfig{
    width: 80px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    background-color: #f1f1f1;
    float: right;
}
#mainHeaderButtonActive{
    width: 80px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    background-color: #ffa500;
    float: left;
}
#mainHeaderButtonInactive{
    width: 80px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    background-color: rgb(241, 241, 241);
    float: left;
}
#mainHeaderButtonInactive:hover{
    background-color: #f8cb79;
}
.dropbtn {
  border: none;
  height: 40px;
  width: 80px;
  background-color: rgb(241, 241, 241);
}
.dropbtn:hover, .dropbtn:focus {
    background-color: #f8cb79;
}
.dropdown {
  position: relative;
  display: inline-block;
}
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 160px;
  overflow: auto;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 9000;
  right:0px;
}
.dropdown-content a:hover {
  background-color: #f8cb79;
}
.dropdownContentButton{
    width: 100%;
    height: 40px;
    line-height: 40px;
    text-align: center;
}
.dropdownContentButton:hover{
    background-color: #f8cb79;
}
.show {display: block;}
/*----------Header Main----------*/


/*----------configSidebar start----------*/
.configSidebar{
    background-color: rgb(56, 56, 56);
    width: 140px;
    height: calc(100% - 40px);
    float:left;
    color: white;
}
#configSidebarButtonActive{
    width: auto;
    height: 40px;
    padding-left: 5px;
    line-height: 40px;
    background-color: orange;
    color: black;
}
#configSidebarButtonInactive{
    width: auto;
    height: 40px;
    padding-left: 5px;
    line-height: 40px;
    background-color: #383838;
    color: white;
}
#configSidebarButtonInactive:hover{
    width: auto;
    height: 40px;
    padding-left: 5px;
    line-height: 40px;
    background-color: #9c6f1c;
}
/*----------configSidebar end----------*/
/*----------configContent start----------*/
.configContent{
    background-color: rgb(241, 241, 241);
    width: calc(100% - 140px);
    height: calc(100% - 40px);
    float: left;
}
/*----------configContent end----------*/
/*----------configHeader start----------*/
.configHeader{
    background-color: rgb(24, 73, 116);
    height: 40px;
    width: 100%;
    float: left;
}
/*----------configHeader end----------*/
/*----------mainPage start----------*/
.mainPage{
    width: 100%;
    height: 100%;
    background-color: white;
    margin: 0;
    padding: 0;
}
.mainContent{
    width: 100%;
    height: calc(100% - 40px);
    margin: 0;
    padding: 0;
    background-color: yellowgreen;
}
/*----------mainPage end----------*/
/*----------configSidebar start----------*/
.configSidebar{
    background-color: rgb(56, 56, 56);
    width: 140px;
    height: calc(100% - 40px);
    float:left;
    color: white;
}
#configSidebarButtonActive{
    width: auto;
    height: 40px;
    padding-left: 5px;
    line-height: 40px;
    background-color: orange;
}
#configSidebarButtonInactive{
    width: auto;
    height: 40px;
    padding-left: 5px;
    line-height: 40px;
    background-color: #383838;
}
#configSidebarButtonInactive:hover{
    width: auto;
    height: 40px;
    padding-left: 5px;
    line-height: 40px;
    background-color: #9c6f1c;
}
/*----------configSidebar end----------*/
/*----------configContent start----------*/
.configContent{
    background-color: rgb(241, 241, 241);
    width: calc(100% - 140px);
    height: calc(100% - 40px);
    float: left;
}
/*----------configContent end----------*/
/*---------- configTable start----------*/
table.config {
    text-align: left;
    position: relative;
    border-collapse: collapse; 
    background-color: #f6f6f6;
    width: 100%;
}
table.config td, th {
    border: 1px solid #999;
    padding: 10px;
}
table.config th {
    background: lightblue;
    color: white;
    border-radius: 0;
    position: sticky;
    top: 0;
    padding: 5px;
}
table.config tbody > tr:hover {
    background-color: grey;
}

/*---------- configTable end----------*/

.functionBar{
    float: right !important;
    height: 44px;
    padding-left: 10px;
    padding-right: 10px;
    margin-top: 1px;
}